Package org.eclipse.mat.inspections.osgi

## Enum BundleRegistryQuery.Grouping

- java.lang.Object
- - java.lang.Enum<BundleRegistryQuery.Grouping>
  - - org.eclipse.mat.inspections.osgi.BundleRegistryQuery.Grouping

All Implemented Interfaces:
  `Serializable`, `Comparable<BundleRegistryQuery.Grouping>`

Enclosing class:
  BundleRegistryQuery

    public static enum BundleRegistryQuery.Grouping
    extends Enum<BundleRegistryQuery.Grouping>

### Enum Constant Summary

Enum Constants
`BY_EXTENSION_POINT`
`BY_SERVICE`
`NONE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`URL` `getIcon()`
`String` `toString()`
`static BundleRegistryQuery.Grouping` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static BundleRegistryQuery.Grouping[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final BundleRegistryQuery.Grouping NONE

#### BY_SERVICE

    public static final BundleRegistryQuery.Grouping BY_SERVICE

#### BY_EXTENSION_POINT

    public static final BundleRegistryQuery.Grouping BY_EXTENSION_POINT

### Method Detail

#### values

    public static BundleRegistryQuery.Grouping[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BundleRegistryQuery.Grouping c : BundleRegistryQuery.Grouping.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BundleRegistryQuery.Grouping valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getIcon

    public URL getIcon()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<BundleRegistryQuery.Grouping>`